The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the NMS User Details at Domain

Prev Next

This URL gets the NMS user details.

Resource URL

GET / domain/<domain_id> /nmsuser/<nmsuser_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes
nmsUserId Id of the NMS user Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type Mandatory
NMSUser Contains the details of NMS users ObjectList Yes

Details of fields in NMSUser:

Field Name Description Data Type Mandatory
userName Name of the NMS user String Yes
authenticationKey Authentication key for the NMS user String Yes
privateKey Private key for the NMS user String Yes

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/nmsuser/14

Payload

None

Response

 {
       "userName": "user2",
       "authenticationKey": "admin123",
       "privateKey": "admin123"
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 500 3514 Invalid user id message from backend: Array index out of range: 0